Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# HTML::A Class Reference

`#include <HtmlBuilder.h>`

Inheritance diagram for HTML::A:
[legend]
Collaboration diagram for HTML::A:
[legend]

List of all members.

## Public Member Functions

| A (std::ostream &stream)
A & | href (const std::string &value)

## Detailed Description

Definition at line 72 of file HtmlBuilder.h.

## Constructor & Destructor Documentation

HTML::A::A | ( | std::ostream & | stream | ) | `[inline]`

Definition at line 75 of file HtmlBuilder.h.

    00076   : TAG( "A", stream ) {}

## Member Function Documentation

A& HTML::A::href | ( | const std::string & | value | ) | `[inline]`

Definition at line 78 of file HtmlBuilder.h.

References HTML::TAG::m_stream.

Referenced by FIX::HttpConnection::processDisableSessions(), FIX::HttpConnection::processEnableSessions(), FIX::HttpConnection::processRefreshSession(), FIX::HttpConnection::processRefreshSessions(), FIX::HttpConnection::processRequest(), FIX::HttpConnection::processResetSession(), FIX::HttpConnection::processResetSessions(), FIX::HttpConnection::processRoot(), FIX::HttpConnection::processSession(), and FIX::HttpConnection::showRow().

    00079   { m_stream << " href='" << value << "'"; return *this; }

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/HtmlBuilder.h